=== debian/changelog ===
ayatana-indicator-session (0.8.2-0+git20210829.2586+12.01.nightly.1) unstable; urgency=medium

  * Development-Snapshot!!! Auto-built Debian sid package for
    packages.arctica-project.org repository (Git commit:
    0e5b7464db1307140cf33ad1247e5d080ff6653d).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Sun, 29 Aug 2021 15:13:34 +0200

ayatana-indicator-session (0.8.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Jan 2021 16:57:37 +0100

ayatana-indicator-session (0.8.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Sep 2020 21:21:33 +0200

ayatana-indicator-session (0.8.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 17 Aug 2020 22:37:40 +0200

ayatana-indicator-session (0.4.4-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 27 Nov 2019 09:50:30 +0100

ayatana-indicator-session (0.4.3-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 21 Aug 2018 17:27:58 +0200

ayatana-indicator-session (0.4.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 28 Feb 2018 21:42:07 +0100

ayatana-indicator-session (0.4.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 24 Oct 2017 21:36:02 +0200

ayatana-indicator-session (0.4.0-0) unstable; urgency=medium

  * Fork from Ubuntu's indicator-session project.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 24 Oct 2017 21:35:44 +0200

indicator-session (12.10.5+15.10.20150915-0ubuntu1) wily; urgency=medium

  [ Andrea Azzarone andrea.azzarone@canonical.com ]
  * Disable shutdown/reboot in the lockscreen. (LP: #1460626)

  [ Sebastien Bacher ]
  * under unity8 start system-settings instead unity-control-center (LP:
    #1489480)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2015 07:47:28 +0000

indicator-session (12.10.5+15.04.20150327-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Fix a crash in get_user_label() by testing a string pointer for NULL
    before dereferencing it. (LP: #1290876)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 27 Mar 2015 15:00:16 +0000

indicator-session (12.10.5+15.04.20150228-0ubuntu1) vivid; urgency=medium

  [ Dmitry Shachnev ]
  * Support multiple desktop names in XDG_CURRENT_DESKTOP.

 -- CI Train Bot <ci-train-bot@canonical.com>  Sat, 28 Feb 2015 18:10:56 +0000

indicator-session (12.10.5+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * update the translations template during the build (LP: #1385260)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 20:57:55 +0000

indicator-session (12.10.5+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Martin Pitt ]
  * Fix autopkg tests

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 13:27:49 +0000

indicator-session (12.10.5+14.10.20140919-0ubuntu1) utopic; urgency=low

  [ Dmitry Shachnev ]
  * Make Cancel button in Zenity backend work again (LP: #1363630)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Sep 2014 13:48:47 +0000

indicator-session (12.10.5+14.10.20140814-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Re-use the same Translations.cmake file across indicators (LP:
    #1354058)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 14:53:29 +0000

indicator-session (12.10.5+14.10.20140718-0ubuntu1) utopic; urgency=low

  [ Robert Ancell ]
  * Hide relevant items from session indicator when
    org.gnome.desktop.lockdown disable-lock-screen or disable-user-
    switching are set to match 12.04 LTS behaviour (LP: #1325353)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 21:36:22 +0000

indicator-session (12.10.5+14.10.20140717-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Add support for getting the distro name from /etc/os-release. (LP:
    #1331873)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 17 Jul 2014 08:33:50 +0000

indicator-session (12.10.5+14.10.20140620-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * When logging out, prefer com.canonical.Unity.RequestLogout over
    org.gnome.SessionManager.Logout. (LP: #1296814)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Jun 2014 15:27:42 +0000

indicator-session (12.10.5+14.04.20140410-0ubuntu1) trusty; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Marco Trevisan (Treviño) ]
  * DBusActions: use unity session APIs when unity is running Use
    Immediate lock when switching, and rely to standard lock (with fade)
    in normal cases. (LP: #1305194)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 10 Apr 2014 17:39:18 +0000

indicator-session (12.10.5+14.04.20140403-0ubuntu1) trusty; urgency=low

  [ Charles Kerr ]
  * Fix the phantom "J Random User" menuitem that shows up under some
    conditions. (LP: #1256590)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Apr 2014 17:13:30 +0000


