=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://releases.ayatana-indicators.org/source/ayatana-indicator-session/ayatana-indicator-session-(.+)\.tar\.gz
