=== debian/changelog ===
ayatana-indicator-session (22.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 11:31:23 +0100

ayatana-indicator-session (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all previous patches. All shipped upstream.
  * debian/control:
    + Add B-Ds: cmake-extras, libayatana-common-dev.
    + Drop from B-D: liblomiri-url-dispatcher.
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/rules:
    + Adjust for upstream version 0.9.0.
    + Install NEWS file as upstream ChangeLog.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 18 Nov 2021 14:55:47 +0100
