=== debian/control ===
Source: ayatana-indicator-session
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Debian UBports Team <team+ubports@tracker.debian.org>,
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libayatana-common-dev (>= 0.9.5),
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               systemd [linux-any],
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-session.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-session

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common (>= 0.8.0),
         gsettings-desktop-schemas,
         systemd,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: yelp,
Suggests: apport,
          gnome-screensaver | mate-screensaver,
          mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
          unity-control-center | gnome-control-center | mate-control-center,
          unity-control-center-signon | gnome-control-center-signon | mate-control-center,
          lightdm,
          zenity,
Breaks: indicator-session,
Replaces: indicator-session,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status, switching to another user, starting a guest session, etc.
 .
 Ayatana Indicators are only available on desktop environments that
 provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
 etc.).
