=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
     $(NULL)
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)
@@ -20,7 +20,12 @@
 override_dh_install:
 	find debian/ayatana-indicator-session/usr/lib -name *.la -delete
 	find debian/ayatana-indicator-session/usr/lib -name *.a -delete
-	dh_install --fail-missing
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 # Hack as it seems it's not possible to easy run that under dbus-test-runner
 override_dh_auto_test:
