## ayatana-indicator-session 22.2.0-0+git20220217.2639+11.nightly.1

=== debian/changelog ===
ayatana-indicator-session (22.2.0-0+git20220217.2639+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    89bff9dba9e72118acc943aa12ac468b186dcfe7).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Thu, 17 Feb 2022 22:05:21 +0100

ayatana-indicator-session (22.2.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 17 Feb 2022 21:49:50 +0100

ayatana-indicator-session (0.9.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 17 Nov 2021 15:12:36 +0100
