=== debian/changelog ===
ayatana-indicator-session (22.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Depend on systemd only on [linux-any] architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Jul 2022 22:50:03 +0200
