=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Architecture: any
 Depends: ayatana-indicator-common (>= 0.8.0),
          gsettings-desktop-schemas,
-         systemd,
+         systemd [linux-any],
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: yelp,
