## ayatana-indicator-session 22.2.1-0+git20220914.2671+11.nightly.1

=== debian/changelog ===
ayatana-indicator-session (22.2.1-0+git20220914.2671+11.nightly.1) bullseye; urgency=medium

  * Development-Snapshot!!! Auto-built Debian bullseye package for
    packages.arctica-project.org repository (Git commit:
    a2c55594a30c9b38ef5af7863fd940b970ab01f7).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 14 Sep 2022 14:24:26 +0200

ayatana-indicator-session (22.2.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-session.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Fri, 15 Jul 2022 22:42:57 +0200
