=== debian/control ===
Source: ayatana-indicator-session
Section: nightly/x11
Priority: optional
Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: cmake,
               cmake-extras,
               dbus,
               debhelper (>= 10),
               dpkg-dev (>= 1.16.1.1),
               intltool,
               libglib2.0-dev (>= 2.36),
               libgtest-dev,
               libayatana-common-dev (>= 0.9.2),
               systemd [linux-any],
Standards-Version: 4.1.1
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-session
Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-session

Package: ayatana-indicator-session
Architecture: any
Depends: ayatana-indicator-common,
         gsettings-desktop-schemas,
         systemd [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-bin,
Recommends: gnome-screensaver | mate-screensaver | xfce4-session,,
            mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
            unity-control-center | gnome-control-center | mate-control-center | xfce4-settings,
            unity-control-center-signon | gnome-control-center-signon | mate-control-center | xfce4-settings,
            yelp | x-www-browser | firefox | chromium,
            x-www-browser | firefox | chromium,
Suggests: apport,
          lightdm,
          zenity,
Breaks: indicator-session,
Replaces: indicator-session,
Description: Ayatana Indicator showing session management, status and user switching
 This Ayatana Indicator is designed to be placed on the right side of a
 panel and give the user easy control for changing their instant message
 status.   Switching to another user.  Starting a guest session.  Or
 controlling the status of their own session.
 .
 It requires some way to be hosted into a panel. For the MATE Panel the
 appropriate package is mate-indicator-applet. For the Xfce Panel the
 appropriate package is xfce4-indicator-plugin.
