## ayatana-indicator-session 22.9.0

=== debian/changelog ===
ayatana-indicator-session (22.9.0-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/patches:
    + Add 0003_Lomiri-Re-rename-former-UnitySession-related-changes.patch from
      upstream. Fix/bring back full Lomiri integration support.

  [ Debian Janitor ]
  * debian/control:
    + B-D: Drop versioned constraint on dpkg-dev and libglib2.0-dev.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 10:35:35 +0100

ayatana-indicator-session (22.9.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Honour DEB_BUILD_OPTIONS=nocheck. (Closes: #1024541).

  [ Mike Gabriel ]
  * debian/control:
    + Section change: gnome -> misc.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 21 Nov 2022 10:57:57 +0100

ayatana-indicator-session (22.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.1. No changes needed.
  * debian/copyright:
    + Update copyright attributions.
    + Update auto-generated copyright.in file.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 02 Oct 2022 13:25:52 +0200
