=== debian/changelog ===
ayatana-indicator-session (22.9.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0003_Lomiri-Re-rename-former-UnitySession-related-changes.patch.
      Applied upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 22:52:24 +0100
