=== debian/control ===
--- 
+++ 
@@ -30,8 +30,8 @@
 Suggests: apport,
           gnome-screensaver | mate-screensaver,
           mate-indicator-applet | xfce4-indicator-plugin | indicator-renderer,
-          unity-control-center | gnome-control-center | mate-control-center,
-          unity-control-center-signon | gnome-control-center-signon | mate-control-center,
+          unity-control-center | gnome-control-center | mate-control-center | lomiri-system-settings,
+          unity-control-center-signon | gnome-control-center-signon | mate-control-center | lomiri-system-settings,
           lightdm,
           zenity,
 Breaks: indicator-session,
