## ayatana-indicator-session 22.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project (ayatana-indicator-session C CXX)
 cmake_minimum_required (VERSION 3.13)
+project (ayatana-indicator-session VERSION 22.9.2 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -7,7 +7,6 @@
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
-set (PROJECT_VERSION "22.9.0")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "ayatana-indicator-session")
