=== debian/changelog ===
ayatana-indicator-session (22.9.2-3) unstable; urgency=medium

  * debian/tests: Drop policykit as depends, dropped upstream
    (closes: #1025638)

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 06 Aug 2023 20:32:12 +0200

ayatana-indicator-session (22.9.2-2) unstable; urgency=medium

  [ Zixing Liu ]
  * debian/patches:
    + Add 2000-fix-build-on-gcc13.patch to fix the missing header issue when
      building with GCC 13. The patch has been forwarded to the upstream.
      (closes: #1037586)
 
 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 27 Jul 2023 20:31:11 +0200

ayatana-indicator-session (22.9.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Jun 2023 16:19:35 +0200
