## ayatana-indicator-session 24.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.13)
-project (ayatana-indicator-session VERSION 22.9.2 LANGUAGES C CXX)
+project (ayatana-indicator-session VERSION 24.2.0 LANGUAGES C CXX)
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
@@ -14,6 +14,7 @@
 option(ENABLE_TESTS "Enable all tests and checks" OFF)
 option(ENABLE_COVERAGE "Enable coverage reports (includes enabling all tests and checks)" OFF)
 option(ENABLE_WERROR "Treat all build warnings as errors" OFF)
+option(ENABLE_RDA "Enable RDA (remote desktop awareness)" ON)
 
 if(ENABLE_COVERAGE)
     set(ENABLE_TESTS ON)
@@ -45,10 +46,18 @@
 ##
 find_package (PkgConfig REQUIRED)
 include (FindPkgConfig)
-pkg_check_modules (SERVICE REQUIRED
-                   libayatana-common>=0.9.2
-                   glib-2.0>=2.36
-                   gio-unix-2.0>=2.36)
+set (SERVICE REQUIRED
+     libayatana-common>=0.9.2
+     glib-2.0>=2.36
+     gio-unix-2.0>=2.36)
+
+if (ENABLE_RDA)
+	list (APPEND SERVICE rda)
+	add_definitions (-DRDA_ENABLED)
+endif ()
+
+pkg_check_modules (SERVICE REQUIRED ${SERVICE})
+
 include_directories (${SERVICE_INCLUDE_DIRS})
 
 set (ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${PROJECT_VERSION})
