=== src/backend-dbus/CMakeLists.txt ===
--- 
+++ 
@@ -43,9 +43,10 @@
                    org.gnome.SessionManager
                    ${CMAKE_CURRENT_SOURCE_DIR}/org.gnome.SessionManager.EndSessionDialog.xml)
 
-add_gdbus_codegen (BACKEND_GENERATED_SOURCES desktop-session
-                   org.ayatana
-                   ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.Desktop.Session.xml)
+add_gdbus_codegen_with_namespace (BACKEND_GENERATED_SOURCES lomiri-session
+                                  com.lomiri
+                                  Lomiri
+                                  ${CMAKE_CURRENT_SOURCE_DIR}/com.lomiri.Shell.Session.xml)
 
 set (SOURCES actions.c guest.c users.c backend-dbus.c utils.c)
