=== debian/changelog ===
ayatana-indicator-session (24.2.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:40:37 +0000

ayatana-indicator-session (24.2.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:54:05 +0000

ayatana-indicator-session (24.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. All applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 23 Feb 2024 16:02:24 +0100

ayatana-indicator-session (23.10.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Drop 2000-fix-build-on-gcc13.patch. Applied upstream.
    + Fix RDA / non-RDA builds/tests via 1001_fix-no-RDA-FTBFS.patch and
      0001_src-service.c-Use-rda_session_is_remote-rather-than-.patch.
  * debian/control:
    + Add B-D: librda-dev.
    + Replace systemd by systemd-dev in B-D. (Closes: #1060523).
  * debian/rules:
    + Explicitly enable RDA (although it's currently on by default).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 16:19:36 +0100
